간만에 글을 쓴다. 굉장히 철지난 글일지만 모르지만, 계속 갈릴레오를 고집하다가 하이버네이트 플러그인이 Helios 를 더 잘 지원해줘서 결국 올렸다.
다른 많은 분들이 꼭 이 플러그인들을 필요로 할지는 모르겠으나, 깔아둬서 언제고 꼭 도움이 되었음 좋겠다.

1.Eclipse 설치

이 문서의 기준은 2011.03.09 현재 Eclipse 3.6 (helios) 를 기준으로 한다.

다음 링크에서 Eclipse IDE for Java EE Developers 버젼을 내려받는다. (물론 원하는 버젼을 내려받아야하지만, 자바 웹개발자라면 해당 버젼이 좋다)

http://eclipse.org/downloads/

 

2.Eclipse 필수 플러그인 설치

다음 플러그인은 JBoss 툴즈를 설치하기 위한 필수 플러그인들이지만, 꼭 JBoss 툴즈가 아니더라도 반드시 설치되어야하는 플러그인들이다.

JBoss Tools 플로그인은 다음의 주소로 업데이트 받는다. 

JBoss Tools 에 유용한 것이 많이 있으므로, 필요한 것만 선택한다. 단, 다음의 것들은 반드시 설치한다.

  • Hibernate Tools
  • JMX Console
  • JBoss GWT Integration
  • FreeMakrder IDE
  • Maven Support 하위 모든 Plugins
  • Web and Java EE Developement 하위 모든 Plugins

JBoss Tools Update URL 에 대한 접속이 원할하지 않을 경우에는 JBoss Tools 페이지(https://www.jboss.org/tools/download/stable.html)에서 JBoss 툴즈 안정버젼을 내려받아서 설치할 수 있다.

현 시점에 JBoss Tool 에 대한 최신 버젼은 3.2.0.GA Stable 이다. 오프라인 설치에 대한 자세한 설명은 https://www.jboss.org/tools/download/installation/update_3_2.html#fromzip 링크를 참조한다.

요약하여, 설명하자면 플러그인 사이트 주소를 추가할 때, 주소 입력이 아닌 Archive 를 눌러서 다운받은 파일을 선택하라는 내용이다.

 

3.설치 Screen Shot

1. 이클립스 실행 후 [Help -> Install New Software] 클릭

eclipse-helios-plugin-01.png

2. [Add] 버튼을 클릭하여 플러그인 저장소를 추가한다.
추가할 저장소들은 위 내용을 참조한다.

eclipse-helios-plugin-02.png

3. 설치할 항목들을 선택한다.

eclipse-helios-plugin-03.png

4. 설치할 항목들이 나타난다. 만일 설치해야할 플러그인이 옳바르지 않거나, 선행으로 설치해야할 플러그인이 존재하지 않거나 할 경우에는 [Back] 을 클릭하여 해당 항목을 제거하고 진행하면 된다.

eclipse-helios-plugin-04.png

5. 라이센스에 동의한다.

eclipse-helios-plugin-05.png

6. 플러그인을 설치하면 이클립스를 재시작한다는 메시지가 나온다. 재시작한 후, 다른 플러그인도 위 1~5단계를 반복하여 설치한다.

eclipse-helios-plugin-06.png

eclipse-helios-plugin-07.png

eclipse-helios-plugin-08.png

eclipse-helios-plugin-09.png

eclipse-helios-plugin-10.png

eclipse-helios-plugin-11.png

eclipse-helios-plugin-12.png

eclipse-helios-plugin-13.png

eclipse-helios-plugin-14.png

eclipse-helios-plugin-15.png

eclipse-helios-plugin-16.png

eclipse-helios-plugin-17(1).png

#URL 로부터 받아지지 않거나, 또는 빠르게 설치하고 싶은 경우에는 위 내용처럼 jboss tool 플러그인 파일을 직접 내려받은 후 [Archive] 를 선택하여 해당 파일을 선택후 설치할 수 있다.

이후 과정은 동일하다.

eclipse-helios-plugin-18(2).png

 eclipse-helios-plugin-19.png

#아래와 같이 나오는 것은, "서명되지 않은 플러그인이라서 위험할 수 있다. 그래도 진행하겠냐?" 라는 내용이다. [OK] 를 클릭하여 진행한다.
eclipse-helios-plugin-20.png


끝이긴 한데, 혹시 이 글을 읽는 분들 중에 "개발자라면 이정도는 가지고 있어야하는거 아니냐? 이 무개념아"라고 말씀해주실분은 플러그인 추천도 부탁드립니다. ^^ 

  1. 지나가는 개발자 2011.04.20 13:52

    정말 좋은 정보 감사합니다!!!

Flex 빌더 설치하기
1. adobe 사이트로부터 Eclipse용 Flex Builder 를 내려받는다.

2. 내려받은 실행파일을 실행한다.

3. 언어를 선택한다.

4. [Next] 클릭

5. 라이센스에 동의한 후 [Next] 클릭.

6. Flex Builder 가 설치될 경로를 지정한다.

7. 이클립스가 존재하는 위치를 지정한다.

8. 플레시 플레이어 설치 여부를 지정한다. flex builder 3 는 9버젼대의 플래시를 만들어내지만, 현재 flash player 는 10버젼까지 나와있다.

9. 설치 할 정보에 대해서 보여준다. [Next] 클릭.

10. 인스톨이 진행된다.


11. 설치가 완료되었다.

플렉스로 작업하기
1. 이클립스 메뉴의 'Window -> Open Perspective -> Other' 클릭



2. Flex Development 선택


3. 이제 만들어진 플렉스 프로젝트를 가져오겠다. 'File -> Import' 클릭


4. 가져올 플렉스 프로젝트 경로를 설정한다.


5. 플렉스는 실행할 수 있는(즉, 메인의 의미를 가진) 페이지(?)는 녹색 화살표가 나타난다. 여기선 uis.mxml 이 실행 파일이다. 마우스 우측 버튼을 눌러 'Run As -> Flex Application' 을 클릭한다.


실행하면 파일이 bin-debug 안에 빌드된다. html 파일을 열면 swf 적용 태그까지 적용되어 바로 볼 수 있다.


이상 가장 기본적인 설정 및 구동 방법이었다. 사실, 이클립스를 아는 사람은 이거 읽을 가치를 못 느낄거다. ㅡㅡ;
그래도 새로운 것을 하는 걸 벌벌 두려워하는 사람들을 위하여 한번 작성해보았다.

얼마전 사내 svn 서버를 이동하면서 svn 서버를 업그레이드를 해버렸다.
visual svn 1.6 대에서 1.7버젼으로.
덕분에 기존 소스를 동기화시킬때, 오류가 났다. svn 스펙에 따라 서버 버젼이 정의되고 있는지 모른것이 화근.


Visual SVN Server 1.6.x 는 SVN 1.4.x 스펙
Visual SVN Server 1.7.x 는 SVN 1.6.x 스펙이다.

그래서 이 기회에 다시 한번 기본 환경구축에 대한 가이드를 작성해본다.

==================================================

* Eclipse 설치.
eclispe 는 eclipse.org 에서 j2ee 용으로 설치한다. 현재 버젼은 3.4.2 버젼까지 릴리즈되어있다.

* svn 플러그인 설치
1. Eclipse 실행 후 [Help] -> [Software Updates] 를 클릭하여 플러그인 업데이트 화면을 연다.

2.[Available Software] 탭을 선택한 후 [Add Site] 클릭

3.다음 업데이트 URL 을 기입한다.
http://subclipse.tigris.org/update_1.6.x

만일 svn 서버가 1.4.x 스펙을 사용한다면 다음 url 을 사용하라.
http://subclipse.tigris.org/update_1.4.x

4.업데이트 URL 을 추가하면 아래와 같이 플러그인 사이트가 등록된다. 해당 항목에 체크한 후 [Install] 클릭

5.의존 플러그인에 대해서 확인을 진행한다. 시간이 좀 걸릴거다-_-

6.의존 플러그인에 대해 적합하고, 이미 설치되어있는 것이 없다면 아래와 같이 나타난다. 만약 Details 항목에 에러 메세지가 뜬다면 영어만 잘 읽어도 오류 원인을 파악할 수 있을 거다. [Next] 클릭

7.라이센스에 동의한 후 [Finish] 클릭

8. 실제 설치가 진행된다.

9. 설치 완료 후 이클립스의 재실행을 요구한다. [Yes] 클릭

10. 끝

* mylyn, trac 플러그인 설치
trac 은 버그 추적 관리 툴이다. jira 등, 다른 bts 를 사용한다면 이 플러그인은 설치하지 않아도 좋다. 그러나 mylyn 플러그인은 필요할 것이다. (bts 가 용어가 맞던가?-_-a)
아래의 url 을 추가한다.
http://trac-hacks.org/svn/eclipsetracplugin/eclipse/update


또한 [Manage] 를 클릭하여
http://download.eclipse.org/tools/mylyn/update/extras 항목을 체크한다.



그리고 다음 2개의 항목에 대해서 체크 후 [Install] 한다. 만일 jira 를 사용한다면 extras 항목에서 trac 대신 jira 를 선택하면 된다.




* Maven 플러그인 설치
maven 플러그인은 sonatype 의 m2clipse 플러그인을 이용한다.
설치 과정은 svn 플러그인과 동일하다. 다만 업데이트 URL 과 설치 항목에 대해서만 적절하게 설정하면 된다.
필자는 아래와 같이 설정하였다.
(m2eclipse update url : http://m2eclipse.sonatype.org/update )



* Spring IDE 플러그인 설치
스프링을 사용한다면 이 플러그인은 필수다. 물론 없어도 되지만, 사용한다면 엄청.. 유용할것이다
스프링 플러그인 URL : http://springide.org/updatesite

스프링에서 사용하는 부분들에 대해서 적절히 체크한 후 [Install]


끝.

+ Recent posts